org.apache.solr.client.solrj.cloud.autoscaling

## Enum TriggerEventType

- java.lang.Object
- - java.lang.Enum<TriggerEventType>
  - - org.apache.solr.client.solrj.cloud.autoscaling.TriggerEventType

All Implemented Interfaces:
  Serializable, Comparable<TriggerEventType>

    public enum TriggerEventType
    extends Enum<TriggerEventType>

Enum that represents trigger event types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INDEXRATE`
`INVALID`
`MANUAL`
`NODEADDED`
`NODELOST`
`REPLICALOST`
`SCHEDULED`
`SEARCHRATE`

### Method Summary

All Methods Static Methods Concrete Methods
`static TriggerEventType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TriggerEventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NODEADDED

    public static final TriggerEventType NODEADDED

#### NODELOST

    public static final TriggerEventType NODELOST

#### REPLICALOST

    public static final TriggerEventType REPLICALOST

#### MANUAL

    public static final TriggerEventType MANUAL

#### SCHEDULED

    public static final TriggerEventType SCHEDULED

#### SEARCHRATE

    public static final TriggerEventType SEARCHRATE

#### INDEXRATE

    public static final TriggerEventType INDEXRATE

#### INVALID

    public static final TriggerEventType INVALID

### Method Detail

#### values

    public static TriggerEventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TriggerEventType c : TriggerEventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TriggerEventType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null